opencv: /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/video/include/opencv2/video/tracking.hpp File Reference

Classes | Namespaces | Defines | Typedefs | Enumerations | Functions

# /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/video/include/opencv2/video/tracking.hpp File Reference

The Object and Feature Tracking. More...

Go to the source code of this file.

## Classes
struct | CvKalman
class | cv::KalmanFilter
## Namespaces
namespace | cv
## Defines
#define | CV_LKFLOW_GET_MIN_EIGENVALS 8
#define | CV_LKFLOW_INITIAL_GUESSES 4
#define | CV_LKFLOW_PYR_A_READY 1
#define | CV_LKFLOW_PYR_B_READY 2
#define | cvKalmanUpdateByMeasurement cvKalmanCorrect
#define | cvKalmanUpdateByTime cvKalmanPredict
## Typedefs
typedef struct CvKalman | CvKalman
## Enumerations
enum | { cv::OPTFLOW_USE_INITIAL_FLOW = 4, cv::OPTFLOW_FARNEBACK_GAUSSIAN = 256 }
## Functions
CV_EXPORTS_W double | cv::calcGlobalOrientation (const Mat &orientation, const Mat &mask, const Mat &mhi, double timestamp, double duration)
| computes the global orientation of the selected motion history image part
CV_EXPORTS_W void | cv::calcMotionGradient (const Mat &mhi, CV_OUT Mat &mask, CV_OUT Mat &orientation, double delta1, double delta2, int apertureSize=3)
| computes the motion gradient orientation image from the motion history image
CV_EXPORTS_W void | cv::calcOpticalFlowFarneback (const Mat &prev, const Mat &next, CV_OUT Mat &flow, double pyr_scale, int levels, int winsize, int iterations, int poly_n, double poly_sigma, int flags)
| computes dense optical flow using Farneback algorithm
CV_EXPORTS_W void | cv::calcOpticalFlowPyrLK (const Mat &prevImg, const Mat &nextImg, const vector< Point2f > &prevPts, CV_OUT vector< Point2f > &nextPts, CV_OUT vector< uchar > &status, CV_OUT vector< float > &err, Size winSize=Size(15, 15), int maxLevel=3, TermCriteria criteria=TermCriteria(TermCriteria::COUNT+TermCriteria::EPS, 30, 0.01), double derivLambda=0.5, int flags=0)
| computes sparse optical flow using multi-scale Lucas-Kanade algorithm
CV_EXPORTS_W RotatedRect | cv::CamShift (const Mat &probImage, CV_IN_OUT Rect &window, TermCriteria criteria)
| updates the object tracking window using CAMSHIFT algorithm
void | cvCalcAffineFlowPyrLK (const CvArr *prev, const CvArr *curr, CvArr *prev_pyr, CvArr *curr_pyr, const CvPoint2D32f *prev_features, CvPoint2D32f *curr_features, float *matrices, int count, CvSize win_size, int level, char *status, float *track_error, CvTermCriteria criteria, int flags)
double | cvCalcGlobalOrientation (const CvArr *orientation, const CvArr *mask, const CvArr *mhi, double timestamp, double duration)
void | cvCalcMotionGradient (const CvArr *mhi, CvArr *mask, CvArr *orientation, double delta1, double delta2, int aperture_size CV_DEFAULT(3))
void | cvCalcOpticalFlowBM (const CvArr *prev, const CvArr *curr, CvSize block_size, CvSize shift_size, CvSize max_range, int use_previous, CvArr *velx, CvArr *vely)
void | cvCalcOpticalFlowFarneback (const CvArr *prev, const CvArr *next, CvArr *flow, double pyr_scale, int levels, int winsize, int iterations, int poly_n, double poly_sigma, int flags)
void | cvCalcOpticalFlowHS (const CvArr *prev, const CvArr *curr, int use_previous, CvArr *velx, CvArr *vely, double lambda, CvTermCriteria criteria)
void | cvCalcOpticalFlowLK (const CvArr *prev, const CvArr *curr, CvSize win_size, CvArr *velx, CvArr *vely)
void | cvCalcOpticalFlowPyrLK (const CvArr *prev, const CvArr *curr, CvArr *prev_pyr, CvArr *curr_pyr, const CvPoint2D32f *prev_features, CvPoint2D32f *curr_features, int count, CvSize win_size, int level, char *status, float *track_error, CvTermCriteria criteria, int flags)
int | cvCamShift (const CvArr *prob_image, CvRect window, CvTermCriteria criteria, CvConnectedComp *comp, CvBox2D *box CV_DEFAULT(NULL))
CvKalman * | cvCreateKalman (int dynam_params, int measure_params, int control_params CV_DEFAULT(0))
int | cvEstimateRigidTransform (const CvArr *A, const CvArr *B, CvMat *M, int full_affine)
const CvMat * | cvKalmanCorrect (CvKalman *kalman, const CvMat *measurement)
const CvMat * | cvKalmanPredict (CvKalman *kalman, const CvMat *control CV_DEFAULT(NULL))
int | cvMeanShift (const CvArr *prob_image, CvRect window, CvTermCriteria criteria, CvConnectedComp *comp)
void | cvReleaseKalman (CvKalman **kalman)
CvSeq * | cvSegmentMotion (const CvArr *mhi, CvArr *seg_mask, CvMemStorage *storage, double timestamp, double seg_thresh)
void | cvUpdateMotionHistory (const CvArr *silhouette, CvArr *mhi, double timestamp, double duration)
CV_EXPORTS_W int | cv::meanShift (const Mat &probImage, CV_IN_OUT Rect &window, TermCriteria criteria)
| updates the object tracking window using meanshift algorithm
CV_EXPORTS_W void | cv::updateMotionHistory (const Mat &silhouette, Mat &mhi, double timestamp, double duration)
| updates motion history image using the current silhouette

## Detailed Description

The Object and Feature Tracking.

## Define Documentation

#define CV_LKFLOW_GET_MIN_EIGENVALS 8

#define CV_LKFLOW_INITIAL_GUESSES 4

#define CV_LKFLOW_PYR_A_READY 1

#define CV_LKFLOW_PYR_B_READY 2

#define cvKalmanUpdateByMeasurement cvKalmanCorrect

#define cvKalmanUpdateByTime cvKalmanPredict

## Typedef Documentation

typedef struct CvKalman CvKalman

## Function Documentation

void cvCalcAffineFlowPyrLK | ( | const CvArr * | prev,
|  | const CvArr * | curr,
|  | CvArr * | prev_pyr,
|  | CvArr * | curr_pyr,
|  | const CvPoint2D32f * | prev_features,
|  | CvPoint2D32f * | curr_features,
|  | float * | matrices,
|  | int | count,
|  | CvSize | win_size,
|  | int | level,
|  | char * | status,
|  | float * | track_error,
|  | CvTermCriteria | criteria,
|  | int | flags
| ) |  |

double cvCalcGlobalOrientation | ( | const CvArr * | orientation,
|  | const CvArr * | mask,
|  | const CvArr * | mhi,
|  | double | timestamp,
|  | double | duration
| ) |  |

void cvCalcMotionGradient | ( | const CvArr * | mhi,
|  | CvArr * | mask,
|  | CvArr * | orientation,
|  | double | delta1,
|  | double | delta2,
|  | int aperture_size | CV_DEFAULT3
| ) |  |

void cvCalcOpticalFlowBM | ( | const CvArr * | prev,
|  | const CvArr * | curr,
|  | CvSize | block_size,
|  | CvSize | shift_size,
|  | CvSize | max_range,
|  | int | use_previous,
|  | CvArr * | velx,
|  | CvArr * | vely
| ) |  |

void cvCalcOpticalFlowFarneback | ( | const CvArr * | prev,
|  | const CvArr * | next,
|  | CvArr * | flow,
|  | double | pyr_scale,
|  | int | levels,
|  | int | winsize,
|  | int | iterations,
|  | int | poly_n,
|  | double | poly_sigma,
|  | int | flags
| ) |  |

void cvCalcOpticalFlowHS | ( | const CvArr * | prev,
|  | const CvArr * | curr,
|  | int | use_previous,
|  | CvArr * | velx,
|  | CvArr * | vely,
|  | double | lambda,
|  | CvTermCriteria | criteria
| ) |  |

void cvCalcOpticalFlowLK | ( | const CvArr * | prev,
|  | const CvArr * | curr,
|  | CvSize | win_size,
|  | CvArr * | velx,
|  | CvArr * | vely
| ) |  |

void cvCalcOpticalFlowPyrLK | ( | const CvArr * | prev,
|  | const CvArr * | curr,
|  | CvArr * | prev_pyr,
|  | CvArr * | curr_pyr,
|  | const CvPoint2D32f * | prev_features,
|  | CvPoint2D32f * | curr_features,
|  | int | count,
|  | CvSize | win_size,
|  | int | level,
|  | char * | status,
|  | float * | track_error,
|  | CvTermCriteria | criteria,
|  | int | flags
| ) |  |

int cvCamShift | ( | const CvArr * | prob_image,
|  | CvRect | window,
|  | CvTermCriteria | criteria,
|  | CvConnectedComp * | comp,
|  | CvBox2D *box | CV_DEFAULTNULL
| ) |  |

CvKalman* cvCreateKalman | ( | int | dynam_params,
|  | int | measure_params,
|  | int control_params | CV_DEFAULT0
| ) |  |

int cvEstimateRigidTransform | ( | const CvArr * | A,
|  | const CvArr * | B,
|  | CvMat * | M,
|  | int | full_affine
| ) |  |

const CvMat* cvKalmanCorrect | ( | CvKalman * | kalman,
|  | const CvMat * | measurement
| ) |  |

const CvMat* cvKalmanPredict | ( | CvKalman * | kalman,
|  | const CvMat *control | CV_DEFAULTNULL
| ) |  |

int cvMeanShift | ( | const CvArr * | prob_image,
|  | CvRect | window,
|  | CvTermCriteria | criteria,
|  | CvConnectedComp * | comp
| ) |  |

void cvReleaseKalman | ( | CvKalman ** | kalman ) |

CvSeq* cvSegmentMotion | ( | const CvArr * | mhi,
|  | CvArr * | seg_mask,
|  | CvMemStorage * | storage,
|  | double | timestamp,
|  | double | seg_thresh
| ) |  |

void cvUpdateMotionHistory | ( | const CvArr * | silhouette,
|  | CvArr * | mhi,
|  | double | timestamp,
|  | double | duration
| ) |  |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines